tinsert(CT_RABoss_ModsToLoad, "CT_RABoss_Maulgar_OnLoad");

-- High Kingh Maulgar
function CT_RABoss_Maulgar_OnLoad()
	CT_RABoss_AddMod("Maulgar", CT_RABOSS_MAULGAR_INFO, 1, CT_RABOSS_LOCATIONS_GRUULSLAIR);
	CT_RABoss_AddEvent("Maulgar", "CHAT_MSG_SPELL_PERIODIC_CREATURE_BUFFS", CT_RABoss_Maulgar_EventHandler);
	CT_RABoss_AddEvent("Maulgar", "CHAT_MSG_SPELL_AURA_GONE_OTHER", CT_RABoss_Maulgar_EventHandler);
	
	CT_RABoss_AddDropDownButton("Maulgar", { CT_RABOSS_ANNOUNCE, CT_RABOSS_ANNOUNCE_INFO .. CT_RABOSS_REQ_LEADER_OR_PROM }, "CT_RABoss_ModInfo", "announce", "CT_RABoss_SetInfo");
end

function CT_RABoss_Maulgar_EventHandler(event)
	if ( not CT_RABoss_Mods["Maulgar"] or not CT_RABoss_Mods["Maulgar"]["status"] or not CT_RABoss_Mods["Maulgar"].enabled ) then
		return;
	end
	
	if ( event == "CHAT_MSG_SPELL_PERIODIC_CREATURE_BUFFS" and string.find(arg1, CT_RABOSS_MAULGAR_SHIELDGAIN) ) then
		CT_RABoss_Announce(CT_RABOSS_MAULGAR_PRAYERALERT, CT_RABoss_Mods["Maulgar"]["announce"]);
	elseif ( event == "CHAT_MSG_SPELL_AURA_GONE_OTHER" and string.find(arg1, CT_RABOSS_MAULGAR_SHIELDFADE) ) then
		CT_RABoss_Announce(CT_RABOSS_MAULGAR_INTERRUPTALERT, CT_RABoss_Mods["Maulgar"]["announce"]);
	end
end